@using Microsoft.AspNetCore.Routing
<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - GameShop</title>
    <link rel="stylesheet" href="~/css/styles.css" />
    <link rel="stylesheet" href="~/css/bootstrap-grid.min.css"/>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
</head>
<body>

<header>
    <div class="left">
        <div class="item padded">
            <div class="title">
                GameShop
            </div>
        </div>
    </div>
    <div class="right">
        
        <a asp-action="Index" asp-controller="Home" class="item @if(Url.RouteUrl(ViewContext.RouteData.Values) == "/") { <text>active</text> } padded">
            Home
        </a>
        
        <a asp-action="All" asp-controller="Games" class="item @if(Url.RouteUrl(ViewContext.RouteData.Values).Contains("games")) { <text>active</text> } action padded">
            Games
        </a>
        
        @if (User.Identity.IsAuthenticated)
        {
            <a asp-action="Account" asp-controller="Account" class="item">
                <div class="actionbutton">@User.Claims.Where(c => c.Type == "firstname").First().Value</div>
            </a>
        }
        else
        {
            <a href="/login" class="item">
                <div class="actionbutton">Login</div>
            </a>
        
            <a href="/register" class="item">
                <div class="actionbutton">Register</div>
            </a> 
        }
    </div>
    <div style="clear: both;"></div>
    
</header>

<div class="content">
    @RenderBody()
</div>

<footer>
    GameShop - 2018 <span>&copy;</span>
</footer>
</body>
</html>